@import 'src/app/styles/mixins';
@import 'src/app/styles/props';

:host {
  position: relative;
  display: inline-block;
}

// toggle button
.app-toggle {
  @include flex(center);
  cursor: pointer;

  &:hover {
    opacity: 0.8;
  }
}

// user card icon
app-icon-user-card {
  @include box(16px);
  margin-right: 4.5px;
}

// arrows
app-icon-arrow-drop-down,
app-icon-arrow-drop-up {
  ::ng-deep {
    path {
      fill: $havelock-blue;
    }
  }
}

// permission card
.app-permissions {
  @include padding(12px 4px 12px 14px);
  position: absolute;
  left: 0;
  z-index: 50;

  &.bottom {
    top: calc(100% + 4px);
  }

  &.top {
    bottom: calc(100% + 4px);
  }

  app-card-title {
    font-size: 12px;
    line-height: 24px;
    margin-bottom: 12px;
  }
}
